Skip to main content
GET
/
projects
/
{projectId}
/
activities
/
{activityId}
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "type": "<string>",
  "parameters": {},
  "project": "<string>",
  "state": "cancelled",
  "result": "failure",
  "started_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "completion_percent": 123,
  "cancelled_at": "2023-11-07T05:31:56Z",
  "timings": {},
  "log": "<string>",
  "payload": {},
  "description": "<string>",
  "text": "<string>",
  "expires_at": "2023-11-07T05:31:56Z",
  "commands": [
    {
      "app": "<string>",
      "type": "<string>",
      "exit_code": 123
    }
  ],
  "integration": "<string>",
  "environments": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Path Parameters

projectId
string
required
activityId
string
required

Response

default - application/json
id
string
required

The identifier of Activity

created_at
string<date-time> | null
required

The creation date

updated_at
string<date-time> | null
required

The update date

type
string
required

The type of the activity

parameters
Parameters · object
required

The parameters of the activity

project
string
required

The project the activity belongs to

state
enum<string>
required

The state of the activity

Available options:
cancelled,
complete,
in_progress,
pending,
scheduled,
staged
result
enum<string> | null
required

The result of the activity

Available options:
failure,
success
started_at
string<date-time> | null
required

The start date of the activity

completed_at
string<date-time> | null
required

The completion date of the activity

completion_percent
integer
required

The completion percentage of the activity

cancelled_at
string<date-time> | null
required

The Cancellation date of the activity

timings
Timings · object
required

Timings related to different phases of the activity

log
string
required
deprecated

The log of the activity

payload
Payload · object
required

The payload of the activity

description
string | null
required

The description of the activity, formatted with HTML

text
string | null
required

The description of the activity, formatted as plain text

expires_at
string<date-time> | null
required

The date at which the activity will expire

commands
Commands · object[]
required

The commands of the activity

integration
string

The integration the activity belongs to

environments
string[]

The environments related to the activity